%define module  SVN-SVNLook
%define name    perl-%{module}
%define version 0.04
%define release %mkrel 4

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        Perl wrapper to the svnlook command
License:        GPL or Artistic
Group:          Development/Perl
Url:            http://search.cpan.org/dist/%{module}
Source:         http://www.cpan.org/modules/by-module/SVN/%{module}-%{version}.tar.bz2
BuildRequires:  perl(Module::Build)
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
SVN::SVNLook runs the command line client. This module was created to make
adding hooks script easier to manipulate.

%prep
%setup -q -n %{module}-%{version}
for file in `find lib -type f` Changes README; do
    chmod 644 $file
    perl -pi -e 'tr/\r//d' $file
done

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
./Build test

%install
rm -rf %{buildroot}
./Build install destdir=%{buildroot}

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/SVN
%{_mandir}/*/*



%changelog
* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.04-4mdv2009.0
+ Revision: 258421
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.04-3mdv2009.0
+ Revision: 246486
- rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.04-1mdv2008.1
+ Revision: 140717
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Aug 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.04-1mdv2008.0
+ Revision: 69248
- update to new version 0.04


* Tue Aug 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.03-4mdv2007.0
- Rebuild

* Tue Jan 03 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.03-3mdk
- Add BuildRequires

* Tue Jan 03 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.03-2mdk
- fix files encoding and perms

* Tue Jan 03 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.03-1mdk
- New release 0.03

* Wed Dec 28 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.02-1mdk
- first mdk release

